Skip to main content
GET
/
notes
List notes
curl --request GET \
  --url https://api.gospott.com/notes \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "title": "<string>",
      "content": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "lastEditedAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "id": "<string>",
        "name": "<string>",
        "avatarUrl": "<string>",
        "deactivatedAt": "2023-11-07T05:31:56Z"
      },
      "editors": [
        {
          "editedBy": {
            "id": "<string>",
            "name": "<string>",
            "avatarUrl": "<string>",
            "deactivatedAt": "2023-11-07T05:31:56Z"
          },
          "editedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "links": [
        {
          "id": "<string>",
          "noteId": "<string>",
          "candidate": {
            "id": "<string>",
            "firstName": "<string>",
            "lastName": "<string>",
            "middleName": "<string>",
            "secondLastName": "<string>",
            "avatarUrl": "<string>"
          }
        }
      ],
      "meeting": {
        "id": "<string>",
        "title": "<string>",
        "startTime": "2023-11-07T05:31:56Z",
        "endTime": "2023-11-07T05:31:56Z",
        "hasTranscript": true
      },
      "call": {
        "id": "<string>",
        "startTime": "2023-11-07T05:31:56Z",
        "endTime": "2023-11-07T05:31:56Z",
        "hasTranscript": true
      },
      "audioRecording": {
        "id": "<string>",
        "startTime": "2023-11-07T05:31:56Z",
        "endTime": "2023-11-07T05:31:56Z",
        "hasTranscript": true
      },
      "pinned": true,
      "shouldPoll": true,
      "labels": [
        {
          "id": "<string>",
          "name": "<string>",
          "colorHex": "<string>"
        }
      ]
    }
  ],
  "pageInfo": {
    "nextCursor": "<string>",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Query Parameters

limit
integer
default:25

Number of notes to return per page (min: 1, max: 50, default: 25).

Required range: 1 <= x <= 50
Example:

25

cursor
string

Base64-encoded cursor for pagination. Use the nextCursor value from a previous response to fetch the next page. Omit for the first page.

modifiedSince
default:1970-01-01T00:00:00.000Z

Filter notes modified on or after this date. Useful for incremental synchronization. Defaults to beginning of time if not provided.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2024-11-01T00:00:00.000Z"

candidateId
string

Filter notes linked to this candidate.

clientContactId
string

Filter notes linked to this client contact.

source
enum<string>

Filter notes by source (e.g. phone, inPerson, onlineMeeting).

Available options:
phone,
inPerson,
onlineMeeting,
callAttempted
labelIds
string[]

Filter notes that have any of the given label IDs.

Example:
["label-123", "label-456"]

Response

Successfully retrieved notes. Returns items array with pagination info containing cursor for the next page.

items
object[]
required
pageInfo
object
required